Sign in to follow this  
moth_wannaKnow

[java] Semaphore

Recommended Posts

Hallo I'm trying to use the java.util.concurrent.Semaphore (in eclipse), but I can't import it so I can't use it...anybody in here knows about eclipse and this problem? I have never before used eclipse, but now i kind of have to...so please anybody, somebody???

Share this post


Link to post
Share on other sites
What version of Eclipse are you using? Java 5.0 is only supported from v3.1 and up. Also when you start the project you have to make sure that it is set to the 1.5 VM.

Properties-->Java Compiler-->Compiler compliance level-->5.0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Sign in to follow this